package uy.edu.fing.tse.central.db.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import java.util.UUID;

@Entity
public class UsuarioBO extends Usuario {

    @Column(nullable = false)
    private String salt = UUID.randomUUID().toString();

    @Column(nullable = false)
    private String password;

    @ManyToOne
    private Rol role;

    public String getSalt() {
        return salt;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Rol getRole() {
        return role;
    }

    public void setRole(Rol role) {
        this.role = role;
    }
}
